Bug 836897 - Section 508: A text equivalent for every non-text element shall be provided
Section 508: A text equivalent for every non-text element shall be provided
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toni Rikkola
Jiri Locker
:
Depends On:
Blocks: 836895
  Show dependency treegraph
 
Reported: 2012-07-02 02:46 EDT by Lukáš Petrovický
Modified: 2013-10-07 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, not every element in the JBoss Enterprise BRMS user interface had a text equivalent. This meant the user interface was not compliant with Section 508, and could prevent users with screen readers from accessing the user interface. This has been resolved by adding text equivalents for all non-text elements.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Petrovický 2012-07-02 02:46:23 EDT
For places where we're not compliant, see bug 836895 attachment 595641 [details].
Comment 1 Charles Crouch 2012-07-09 10:05:35 EDT
This bug was incorrectly linked to 835905
Comment 2 Lukáš Petrovický 2012-08-29 06:30:25 EDT
Not happening for 5.3.1.
Comment 3 Lukáš Petrovický 2012-08-29 06:31:42 EDT
(In reply to comment #2)
> Not happening for 5.3.1.

Scratch that, my mistake.
Comment 4 manstis 2012-08-29 06:32:18 EDT
(In reply to comment #2)
> Not happening for 5.3.1.

Yes it is (or we are attempting to have it complete, or much of it, for 5.3.1). We haven't dev_ack-'ed all Section 508 BZs. This one remains!
Comment 5 Toni Rikkola 2012-08-31 07:31:29 EDT
We managed to cover most of the images. I made a separate ticket for the rest https://bugzilla.redhat.com/show_bug.cgi?id=853391

There is a good change that the GWT 2.5 release will fix these. If it doesn't then we need to spends some time overwriting the GWT codes or possibly making our own widgets.

Note You need to log in before you can comment on or make changes to this bug.